Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SlamBorderFinder::LineFragment Struct Reference

Collaboration diagram for SlamBorderFinder::LineFragment:

[legend]
List of all members.

## Public Attributes
Vector2< int > | base
Vector2< double > | normal
bool | lineFragmentAlreadyConsidered
Vector2< int > | start
Vector2< int > | end
double | averageStep
int | numberOfPoints

## Member Data Documentation

Vector2<int> SlamBorderFinder::LineFragment::base

| Definition at line 226 of file SlamBorderFinder.h. Referenced by SlamBorderFinder::calculateLineOnField(), SlamBorderFinder::findIntersections(), SlamBorderFinder::findLineFragments(), SlamBorderFinder::findLines(), and SlamBorderFinder::getLine().

Vector2<double> SlamBorderFinder::LineFragment::normal

| Definition at line 227 of file SlamBorderFinder.h. Referenced by SlamBorderFinder::addCrossingsPercept(), SlamBorderFinder::calculateLineOnField(), SlamBorderFinder::findIntersections(), SlamBorderFinder::findLineFragments(), SlamBorderFinder::findLines(), and SlamBorderFinder::getLine().

bool SlamBorderFinder::LineFragment::lineFragmentAlreadyConsidered

| Definition at line 228 of file SlamBorderFinder.h. Referenced by SlamBorderFinder::findLineFragments(), and SlamBorderFinder::findLines().

Vector2<int> SlamBorderFinder::LineFragment::start

| Definition at line 229 of file SlamBorderFinder.h. Referenced by SlamBorderFinder::findLineFragments(), and SlamBorderFinder::findLines().

Vector2<int> SlamBorderFinder::LineFragment::end

| Definition at line 230 of file SlamBorderFinder.h. Referenced by SlamBorderFinder::findLineFragments(), and SlamBorderFinder::findLines().

double SlamBorderFinder::LineFragment::averageStep

| Definition at line 231 of file SlamBorderFinder.h. Referenced by SlamBorderFinder::findLineFragments(), and SlamBorderFinder::findLines().

int SlamBorderFinder::LineFragment::numberOfPoints

| Definition at line 232 of file SlamBorderFinder.h.

The documentation for this struct was generated from the following file:

- Modules/ImageProcessor/SlamImageProcessor/SlamBorderFinder.h